Summary:        GnomeICU is a clone of Mirabilis' popular ICQ written with GTK.
Name:           gnomeicu
Version:        0.99.10
Release:        1
Epoch:          1
License:        GPL
Group:          Applications/Communications
URL:            http://gnomeicu.sourceforge.net/
Source:         http://download.sourceforge.net/gnomeicu/%{name}-%{version}.tar.gz
Requires:       libgnomeui >= 2.0.0
Requires:       libxml2 >= 2.4.7
BuildRequires:  libgnomeui >= 2.0.0
BuildRequires:  libxml2 >= 2.4.7
BuildRequires:  gtkspell >= 2.0.4
BuildRequires:  scrollkeeper >= 0.3.5
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
GnomeICU is a clone of Mirabilis' popular ICQ written with GTK.
The original source was taken from Matt Smith's mICQ. If you would
like to contribute, please check our webpage http://gnomeicu.sourceforge.net/

%prep
%setup -q

# seems as if xss support is broken on alpha :-(
%ifarch alpha
  ARCH_FLAGS="--host=alpha-redhat-linux --without-xss"
%endif

if [ ! -f configure ]; then
    CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $ARCH_FLAGS \
	--prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
	--bindir=%{_bindir} --datadir=%{_datadir} \
	--enable-spell
else
    CFLAGS="$RPM_OPT_FLAGS" ./configure $ARCH_FLAGS \
	--prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
	--bindir=%{_bindir} --datadir=%{_datadir} \
	--enable-spell
fi

%build

if [ "$SMP" != "" ]; then
  make -j$SMP "MAKE=make -j$SMP"
else
  make
fi

%install
make prefix=$RPM_BUILD_ROOT/%{_prefix} \
    sysconfdir=$RPM_BUILD_ROOT/%{_sysconfdir} \
    bindir=$RPM_BUILD_ROOT/%{_bindir} \
    datadir=$RPM_BUILD_ROOT/%{_datadir} install

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update -q -o %{_datadir}/omf/; fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule /etc/gconf/schemas/gnomeicu.schemas > /dev/null

%postun
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update -q; fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%config %{_sysconfdir}/sound/events/GnomeICU.soundlist
%{_sysconfdir}/gconf/schemas/gnomeicu.schemas
%{_bindir}/gnomeicu
%{_bindir}/gnomeicu-client
%{_datadir}/applications/GnomeICU.desktop
%doc %{_datadir}/gnome/help/*
%{_datadir}/gnomeicu/icons/*
%{_datadir}/gnomeicu/emoticons/*
%{_datadir}/gnomeicu/glade/*
%{_datadir}/gnomeicu/*.png
%{_datadir}/omf/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/gnomeicu/*

###################################################################
%changelog
* Sun Mar 28 2004 Olivier Crete <tester@tester.ca>
- Removed applet and added gtkspell support

* Tue Nov 26 2002 Olivier Crete <tester@videotron.ca>
- Added define __spec_install_post to make sure the resulting rpms are 
   NOT stripped so we can get decent debug info... 

* Fri Oct 18 2002 Eskil Bylund <eskil_bylund@fastmail.fm>
- Enabled help, added BuildRequires on scrollkeeper

* Mon Jul 01 2002 Olivier Crete <tester@videotron.ca>
- Added separate applet package
- Removed disabled help from package

* Tue Jun 22 2002 Gediminas Paulauskas <menesis@delfi.lt>
- updated to GNOME2 requirements
- removed gnorba file, update desktop file locations

* Tue Dec 04 2001 Gediminas Paulauskas <menesis@delfi.lt>
- libglade now required

* Thu Nov 29 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- removed packager line, this should get handled by ~/.rpmmacros on
  the machine actually building the RPMs 
- added flags to make it more relocatable
- used the %find_lang macro for languages
- removed install-strip, rpm strips binaries as part of the packaging process.
- removed hard-coded paths
- reformatted header
- s/Copyright/License/
- changed buildroot to use %{_tmppath}
- added BuildRequires on gnome-libs
- removed requires ORBit and gtk+, since both of those are required by
  gnome-libs 
- remove unnecessary %defines of release and rel

* Fri Sep 10 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added support for SMP builds

* Sun Jul 25 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added online documentation
- added locale files

* Sat Jul 10 1999 Herbert Valerio Riedel <hvr@gnu.org>
- no need to define %{name} and %{version} explicitly (thanks to 
  Graham Cole <dybbuk@earthlink.net> for this hint)

* Tue Jun 29 1999 Herbert Valerio Riedel <hvr@gnu.org>
- first try at an official RPM
